{

  "ID": 3020100, //战斗与揭露1（普通）

  "Specials": {

    "BattleID": 0,

    "MessageID": 1009

   },

  "Events": {

    "OnStart": {

      "Actions": [

        //设置棋盘变量用于区分玩家在哪个区域

        {

          "$type": "Share.CConfigSetHollowVariable",

          "Key": "HollowArea.3020100",

          "Value": 1

        },

        {

          "$type": "Share.CConfigSetHollowVariable",

          "Key": "HollowArea.3020102",

          "Value": 0

        },

        {

          "$type": "Share.CConfigSetHollowVariable",

          "Key": "HollowArea.3020103",

          "Value": 0

        },

        //金币计数清零

      // {

      //   "$type": "Share.CConfigSetHollowVariable",

      //   "Key": "CountArea.13020106",

      //   "Value": 0

      // },

      // {

      //   "$type": "Share.CConfigSetHollowVariable",

      //   "Key": "CountArea.23020106",

      //   "Value": 0

      // },

      // {

      //   "$type": "Share.CConfigSetHollowVariable",

      //   "Key": "CountArea.33020106",

      //   "Value": 0

      // },

      //战斗

        {

          "$type":"Share.CConfigEmpty"

      }, 

        {

          "$type":"Share.CConfigDropBattleID",

          "Type":[10,11],

          "SpecialName":"BattleID"

      },

      {

          "$type": "Share.CConfigTriggerBattle",

          "BattleID": "specials(BattleID)",

          "OnSuccess": "OnTrap"

      }

      ]

    },

    "OnTrap": {

      "Actions": [

        {

          "$type": "Share.CConfigPreset",

          "PerformKey" : "Chessboard_BattleEnd_Pre"

        },

        {

          "$type": "Share.CConfigPreset",

          "PerformKey" : "Chessboard_BattleEnd_After"

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "1"

        },

        //镜头



        {

          "$type": "Share.CConfigCameraMove",

          "StretchKey": "Far",

          "Type": "CustomBound",

          "BoundIndexX":129,

          "BoundIndexY":158

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.6"

        },

        //全部陷阱展示

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 15,

          "Position": "Absolute",// Relative

          "NodeType": "All",

          "Radius": 3,

          "Count": 11,

          "EventTypeTag":"TrapHp",

          "FromState": ["Locked"],

          "ToState": ["ShowEvent"]

        },



        //等待时间 考虑延长到1.5~2秒

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "1.5"

        },



        //陷阱隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 15,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 3,

          "Count": 11,

          "EventTypeTag":"TrapHp",

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },



        //等待时间

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "1"

        },



        {

          "$type": "Share.CConfigJump",

          "Jump": "OnRandom"

      }

      ]

    },

    "OnRandom":{

      "Actions":[

        //随机跳转一种金币路线，共6种

        {

          "$type": "Share.CConfigSwitchServer",

          "Switch": [

              {

                  "Weight": 10,

                  "Actions": [

                      {

                          "$type": "Share.CConfigJump",

                          "Jump": "Road_1"

                      }

                  ]

              },

              {

                  "Weight": 10,

                  "Actions": [

                      {

                          "$type": "Share.CConfigJump",

                          "Jump": "Road_2"

                      }

                  ]

              },

              {

                "Weight": 10,

                "Actions": [

                    {

                        "$type": "Share.CConfigJump",

                        "Jump": "Road_3"

                    }

                ]

            },

            {

              "Weight": 10,

              "Actions": [

                  {

                      "$type": "Share.CConfigJump",

                      "Jump": "Road_4"

                  }

              ]

          },

          {

            "Weight": 10,

            "Actions": [

                {

                    "$type": "Share.CConfigJump",

                    "Jump": "Road_5"

                }

            ]

        },

        {

          "Weight": 10,

          "Actions": [

              {

                  "$type": "Share.CConfigJump",

                  "Jump": "Road_6"

              }

          ]

        }

          ]

      }

      ]

    },



    "Road_1":{

      "Actions":[

        //陷阱变金币1

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        //陷阱变金币2

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        //陷阱变金币3

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 15,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 15,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        //陷阱变金币4

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        //陷阱变金币5

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 17,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 17,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

      }



      ]

    },

    "Road_2":{

      "Actions":[

        //陷阱变金币1

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币2

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币3

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 15,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 15,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币4

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币5

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 17,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 17,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

      }

      ]

    },

    "Road_3":{

      "Actions":[

        //陷阱变金币1

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币2

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币3

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 15,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 15,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币4

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币5

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

      }

      ]

    },

    "Road_4":{

      "Actions":[

        //陷阱变金币1

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币2

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币3

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 15,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 15,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币4

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币5

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

      }

      ]

    },

    "Road_5":{

      "Actions":[

        //陷阱变金币1

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币2

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 15,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 15,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币3

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币4

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币5

        {

          "$type": "Share.CConfigEventModification",

          "X": 3,

          "Y": 17,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 3,

          "Y": 17,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

      }

      ]

    },

    "Road_6":{

      "Actions":[

        //陷阱变金币1

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 14,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币2

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 15,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 15,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币3

        {

          "$type": "Share.CConfigEventModification",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 4,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币4

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 16,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 16,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.4"

        },

        //陷阱变金币5

        {

          "$type": "Share.CConfigEventModification",

          "X": 5,

          "Y": 17,

          "Position": "Absolute",

          "Radius": 0,

          "ModificationNum": 1,

          "ModificationType": 1,

          //"TargetEventID": [ 1013 ],//陷阱

          "TargetVisibleState":[ "Visible"],

          "TargetEventType": 1,

          "EventID": [ 3020106 ],//金币

          "EventState": "ShowEvent",

          "VisibleState": "Visible"

        },

        //展示一会

        {

          "$type": "Share.CConfigWaitSeconds",

          "Time": "0.5"

        },

        //隐藏

        {

          "$type": "Share.CConfigSetMapState",

          "X": 5,

          "Y": 17,

          "Position": "Absolute",

          "NodeType": "All",

          "Radius": 0,

          "Count": 1,

          "FromState": ["ShowEvent"],

          "ToState": ["Locked"]

        },

        {

          "$type": "Share.CConfigJump",

          "Jump": "OnEnd"

      }

      ]

    },



    "OnEnd":{

      "Actions":[

        {

          "$type": "Share.CConfigCameraMove",

          "Type": "Player",

          "StretchKey": "Back"

      },

       //tips

       {

        "$type": "Share.CConfigShowTip",

        "TipID": 400010808,//5

        "Delay": 0,

        "Predicates":[

            {

                "$type": "Share.CConfigEventByHollowVariable",

                "Key": "CountArea.13020106",

                "CompareType": "Equal",

                "Count": 0

            }

        ]

    },

    {

      "$type": "Share.CConfigWaitSeconds",

      "Time": "0.5"

    },

       {

        "$type": "Share.CConfigShowTip",

        "TipID": 400010801,//战斗后会有提示

        "Delay": 0

      },

      

      

        {

          "$type": "Share.CConfigFinishEvent"

        }

      ]

    }

  }

}

